# 📜 EQ2Emu Lua API Documentation

This document will detail all Lua scripting functions available within EQ2Emu.

---

## 📚 Table of Contents

- [AddCharacterTitle](./lua_functions/AddCharacterTitle.md)
- [AddCoin](./lua_functions/AddCoin.md)
- [AddControlEffect](./lua_functions/AddControlEffect.md)
- [AddConversationOption](./lua_functions/AddConversationOption.md)
- [AddHate](./lua_functions/AddHate.md)
- [AddIconValue](./lua_functions/AddIconValue.md)
- [AddImmunitySpell](./lua_functions/AddImmunitySpell.md)
- [AddItem](./lua_functions/AddItem.md)
- [AddLanguage](./lua_functions/AddLanguage.md)
- [AddLootCoin](./lua_functions/AddLootCoin.md)
- [AddLootItem](./lua_functions/AddLootItem.md)
- [AddMasterTitle](./lua_functions/AddMasterTitle.md)
- [AddMultiFloorLift](./lua_functions/AddMultiFloorLift.md)
- [AddOptionWindowOption](./lua_functions/AddOptionWindowOption.md)
- [AddPlayerMail](./lua_functions/AddPlayerMail.md)
- [AddPlayerMailByCharID](./lua_functions/AddPlayerMailByCharID.md)
- [AddPrimaryEntityCommand](./lua_functions/AddPrimaryEntityCommand.md)
- [AddPrimaryEntityCommandAllSpawns](./lua_functions/AddPrimaryEntityCommandAllSpawns.md)
- [AddProc](./lua_functions/AddProc.md)
- [AddProcExt](./lua_functions/AddProcExt.md)
- [AddQuestPrereqClass](./lua_functions/AddQuestPrereqClass.md)
- [AddQuestPrereqFaction](./lua_functions/AddQuestPrereqFaction.md)
- [AddQuestPrereqItem](./lua_functions/AddQuestPrereqItem.md)
- [AddQuestPrereqModelType](./lua_functions/AddQuestPrereqModelType.md)
- [AddQuestPrereqQuest](./lua_functions/AddQuestPrereqQuest.md)
- [AddQuestPrereqRace](./lua_functions/AddQuestPrereqRace.md)
- [AddQuestPrereqTradeskillClass](./lua_functions/AddQuestPrereqTradeskillClass.md)
- [AddQuestPrereqTradeskillLevel](./lua_functions/AddQuestPrereqTradeskillLevel.md)
- [AddQuestRewardCoin](./lua_functions/AddQuestRewardCoin.md)
- [AddQuestRewardFaction](./lua_functions/AddQuestRewardFaction.md)
- [AddQuestRewardItem](./lua_functions/AddQuestRewardItem.md)
- [AddQuestSelectableRewardItem](./lua_functions/AddQuestSelectableRewardItem.md)
- [AddQuestStep](./lua_functions/AddQuestStep.md)
- [AddQuestStepChat](./lua_functions/AddQuestStepChat.md)
- [AddQuestStepCompleteAction](./lua_functions/AddQuestStepCompleteAction.md)
- [AddQuestStepCraft](./lua_functions/AddQuestStepCraft.md)
- [AddQuestStepFailureAction](./lua_functions/AddQuestStepFailureAction.md)
- [AddQuestStepHarvest](./lua_functions/AddQuestStepHarvest.md)
- [AddQuestStepKill](./lua_functions/AddQuestStepKill.md)
- [AddQuestStepKillByRace](./lua_functions/AddQuestStepKillByRace.md)
- [AddQuestStepLocation](./lua_functions/AddQuestStepLocation.md)
- [AddQuestStepObtainItem](./lua_functions/AddQuestStepObtainItem.md)
- [AddQuestStepProgressAction](./lua_functions/AddQuestStepProgressAction.md)
- [AddQuestStepSpell](./lua_functions/AddQuestStepSpell.md)
- [AddQuestStepZoneLoc](./lua_functions/AddQuestStepZoneLoc.md)
- [AddQuestUsableItem](./lua_functions/AddQuestUsableItem.md)
- [AddRecipeBookToPlayer](./lua_functions/AddRecipeBookToPlayer.md)
- [AddRespawn](./lua_functions/AddRespawn.md)
- [AddSkill](./lua_functions/AddSkill.md)
- [AddSkillBonus](./lua_functions/AddSkillBonus.md)
- [AddSpawnAccess](./lua_functions/AddSpawnAccess.md)
- [AddSpawnIDAccess](./lua_functions/AddSpawnIDAccess.md)
- [AddSpawnProximity](./lua_functions/AddSpawnProximity.md)
- [AddSpawnSpellBonus](./lua_functions/AddSpawnSpellBonus.md)
- [AddSpawnToGroup](./lua_functions/AddSpawnToGroup.md)
- [AddSpellBonus](./lua_functions/AddSpellBonus.md)
- [AddSpellBookEntry](./lua_functions/AddSpellBookEntry.md)
- [AddSpellTimer](./lua_functions/AddSpellTimer.md)
- [AddStepProgress](./lua_functions/AddStepProgress.md)
- [AddThreatTransfer](./lua_functions/AddThreatTransfer.md)
- [AddTimer](./lua_functions/AddTimer.md)
- [AddToWard](./lua_functions/AddToWard.md)
- [AddTransportSpawn](./lua_functions/AddTransportSpawn.md)
- [AddWard](./lua_functions/AddWard.md)
- [AddWaypoint](./lua_functions/AddWaypoint.md)
- [ApplySpellVisual](./lua_functions/ApplySpellVisual.md)
- [Attack](./lua_functions/Attack.md)
- [Bind](./lua_functions/Bind.md)
- [BlurVision](./lua_functions/BlurVision.md)
- [BreatheUnderwater](./lua_functions/BreatheUnderwater.md)
- [CancelSpell](./lua_functions/CancelSpell.md)
- [CanHarvest](./lua_functions/CanHarvest.md)
- [CanReceiveQuest](./lua_functions/CanReceiveQuest.md)
- [CanSeeInvis](./lua_functions/CanSeeInvis.md)
- [CastCustomSpell](./lua_functions/CastCustomSpell.md)
- [CastEntityCommand](./lua_functions/CastEntityCommand.md)
- [CastSpell](./lua_functions/CastSpell.md)
- [ChangeFaction](./lua_functions/ChangeFaction.md)
- [ChangeHandIcon](./lua_functions/ChangeHandIcon.md)
- [Charm](./lua_functions/Charm.md)
- [CheckLOS](./lua_functions/CheckLOS.md)
- [CheckLOSByCoordinates](./lua_functions/CheckLOSByCoordinates.md)
- [CheckRaceType](./lua_functions/CheckRaceType.md)
- [ClearChoice](./lua_functions/ClearChoice.md)
- [ClearEncounter](./lua_functions/ClearEncounter.md)
- [ClearHate](./lua_functions/ClearHate.md)
- [ClearRunback](./lua_functions/ClearRunback.md)
- [ClearRunningLocations](./lua_functions/ClearRunningLocations.md)
- [CloseConversation](./lua_functions/CloseConversation.md)
- [CloseDoor](./lua_functions/CloseDoor.md)
- [CloseItemConversation](./lua_functions/CloseItemConversation.md)
- [CompareSpawns](./lua_functions/CompareSpawns.md)
- [CompleteTransmute](./lua_functions/CompleteTransmute.md)
- [CopySpawnAppearance](./lua_functions/CopySpawnAppearance.md)
- [CreateChoiceWindow](./lua_functions/CreateChoiceWindow.md)
- [CreateConversation](./lua_functions/CreateConversation.md)
- [CreateOptionWindow](./lua_functions/CreateOptionWindow.md)
- [CreatePersistedRespawn](./lua_functions/CreatePersistedRespawn.md)
- [CreateWidgetRegion](./lua_functions/CreateWidgetRegion.md)
- [CureByControlEffect](./lua_functions/CureByControlEffect.md)
- [CureByType](./lua_functions/CureByType.md)
- [DamageEquippedItems](./lua_functions/DamageEquippedItems.md)
- [DamageSpawn](./lua_functions/DamageSpawn.md)
- [DeleteDBShardID](./lua_functions/DeleteDBShardID.md)
- [DeleteSpellBook](./lua_functions/DeleteSpellBook.md)
- [Despawn](./lua_functions/Despawn.md)
- [DespawnByLocationID](./lua_functions/DespawnByLocationID.md)
- [DismissPet](./lua_functions/DismissPet.md)
- [DisplayText](./lua_functions/DisplayText.md)
- [Emote](./lua_functions/Emote.md)
- [EnableGameEvent](./lua_functions/EnableGameEvent.md)
- [EndAutoMount](./lua_functions/EndAutoMount.md)
- [Evac](./lua_functions/Evac.md)
- [FaceTarget](./lua_functions/FaceTarget.md)
- [FlashWindow](./lua_functions/FlashWindow.md)
- [Gate](./lua_functions/Gate.md)
- [GetAAInfo](./lua_functions/GetAAInfo.md)
- [GetAggroRadius](./lua_functions/GetAggroRadius.md)
- [GetAgi](./lua_functions/GetAgi.md)
- [GetAgiBase](./lua_functions/GetAgiBase.md)
- [GetAlignment](./lua_functions/GetAlignment.md)
- [GetArchetypeName](./lua_functions/GetArchetypeName.md)
- [GetArrowColor](./lua_functions/GetArrowColor.md)
- [GetBaseAggroRadius](./lua_functions/GetBaseAggroRadius.md)
- [GetBoundZoneID](./lua_functions/GetBoundZoneID.md)
- [GetCanBind](./lua_functions/GetCanBind.md)
- [GetCanEvac](./lua_functions/GetCanEvac.md)
- [GetCanGate](./lua_functions/GetCanGate.md)
- [GetCasterSpellLevel](./lua_functions/GetCasterSpellLevel.md)
- [GetCharacterFlag](./lua_functions/GetCharacterFlag.md)
- [GetCharacterID](./lua_functions/GetCharacterID.md)
- [GetCharmedPet](./lua_functions/GetCharmedPet.md)
- [GetChoiceSpawnID](./lua_functions/GetChoiceSpawnID.md)
- [GetClass](./lua_functions/GetClass.md)
- [GetClassName](./lua_functions/GetClassName.md)
- [GetClientVersion](./lua_functions/GetClientVersion.md)
- [GetCoinMessage](./lua_functions/GetCoinMessage.md)
- [GetCosmeticPet](./lua_functions/GetCosmeticPet.md)
- [GetCurrentHP](./lua_functions/GetCurrentHP.md)
- [GetCurrentPower](./lua_functions/GetCurrentPower.md)
- [GetCurrentZoneSafeLocation](./lua_functions/GetCurrentZoneSafeLocation.md)
- [GetDeity](./lua_functions/GetDeity.md)
- [GetDeityPet](./lua_functions/GetDeityPet.md)
- [GetDifficulty](./lua_functions/GetDifficulty.md)
- [GetDistance](./lua_functions/GetDistance.md)
- [GetEncounter](./lua_functions/GetEncounter.md)
- [GetEncounterSize](./lua_functions/GetEncounterSize.md)
- [GetFactionAmount](./lua_functions/GetFactionAmount.md)
- [GetFactionID](./lua_functions/GetFactionID.md)
- [GetFollowTarget](./lua_functions/GetFollowTarget.md)
- [GetGender](./lua_functions/GetGender.md)
- [GetGroup](./lua_functions/GetGroup.md)
- [GetHateList](./lua_functions/GetHateList.md)
- [GetHeading](./lua_functions/GetHeading.md)
- [GetID](./lua_functions/GetID.md)
- [GetInfoStructFloat](./lua_functions/GetInfoStructFloat.md)
- [GetInfoStructSInt](./lua_functions/GetInfoStructSInt.md)
- [GetInfoStructString](./lua_functions/GetInfoStructString.md)
- [GetInfoStructUInt](./lua_functions/GetInfoStructUInt.md)
- [GetInt](./lua_functions/GetInt.md)
- [GetIntBase](./lua_functions/GetIntBase.md)
- [GetItemCount](./lua_functions/GetItemCount.md)
- [GetItemEffectType](./lua_functions/GetItemEffectType.md)
- [GetItemID](./lua_functions/GetItemID.md)
- [GetItemSkillReq](./lua_functions/GetItemSkillReq.md)
- [GetItemType](./lua_functions/GetItemType.md)
- [GetLevel](./lua_functions/GetLevel.md)
- [GetLootCoin](./lua_functions/GetLootCoin.md)
- [GetLootDropType](./lua_functions/GetLootDropType.md)
- [GetLootTier](./lua_functions/GetLootTier.md)
- [GetMaxHP](./lua_functions/GetMaxHP.md)
- [GetMaxHPBase](./lua_functions/GetMaxHPBase.md)
- [GetMaxPower](./lua_functions/GetMaxPower.md)
- [GetMaxPowerBase](./lua_functions/GetMaxPowerBase.md)
- [GetModelType](./lua_functions/GetModelType.md)
- [GetMostHated](./lua_functions/GetMostHated.md)
- [GetMount](./lua_functions/GetMount.md)
- [GetName](./lua_functions/GetName.md)
- [GetOrigX](./lua_functions/GetOrigX.md)
- [GetOrigY](./lua_functions/GetOrigY.md)
- [GetOrigZ](./lua_functions/GetOrigZ.md)
- [GetOwner](./lua_functions/GetOwner.md)
- [GetPassengerSpawnList](./lua_functions/GetPassengerSpawnList.md)
- [GetPCTOfHP](./lua_functions/GetPCTOfHP.md)
- [GetPCTOfPower](./lua_functions/GetPCTOfPower.md)
- [GetPet](./lua_functions/GetPet.md)
- [GetPlayerHistory](./lua_functions/GetPlayerHistory.md)
- [GetPlayersInZone](./lua_functions/GetPlayersInZone.md)
- [GetQuest](./lua_functions/GetQuest.md)
- [GetQuestCompleteCount](./lua_functions/GetQuestCompleteCount.md)
- [GetQuestFlags](./lua_functions/GetQuestFlags.md)
- [GetQuestStep](./lua_functions/GetQuestStep.md)
- [GetQuestStepProgress](./lua_functions/GetQuestStepProgress.md)
- [GetRace](./lua_functions/GetRace.md)
- [GetRaceBaseType](./lua_functions/GetRaceBaseType.md)
- [GetRaceName](./lua_functions/GetRaceName.md)
- [GetRaceType](./lua_functions/GetRaceType.md)
- [GetRandomSpawnByID](./lua_functions/GetRandomSpawnByID.md)
- [GetRuleFlagBool](./lua_functions/GetRuleFlagBool.md)
- [GetRuleFlagFloat](./lua_functions/GetRuleFlagFloat.md)
- [GetRuleFlagInt32](./lua_functions/GetRuleFlagInt32.md)
- [GetRunbackDistance](./lua_functions/GetRunbackDistance.md)
- [GetServerVariable](./lua_functions/GetServerVariable.md)
- [GetShardCharID](./lua_functions/GetShardCharID.md)
- [GetShardCreatedTimestamp](./lua_functions/GetShardCreatedTimestamp.md)
- [GetShardID](./lua_functions/GetShardID.md)
- [GetSkill](./lua_functions/GetSkill.md)
- [GetSkillIDByName](./lua_functions/GetSkillIDByName.md)
- [GetSkillMaxValue](./lua_functions/GetSkillMaxValue.md)
- [GetSkillName](./lua_functions/GetSkillName.md)
- [GetSkillValue](./lua_functions/GetSkillValue.md)
- [GetSpawn](./lua_functions/GetSpawn.md)
- [GetSpawnByGroupID](./lua_functions/GetSpawnByGroupID.md)
- [GetSpawnByLocationID](./lua_functions/GetSpawnByLocationID.md)
- [GetSpawnByRailID](./lua_functions/GetSpawnByRailID.md)
- [GetSpawnFromList](./lua_functions/GetSpawnFromList.md)
- [GetSpawnGroupID](./lua_functions/GetSpawnGroupID.md)
- [GetSpawnID](./lua_functions/GetSpawnID.md)
- [GetSpawnListByRailID](./lua_functions/GetSpawnListByRailID.md)
- [GetSpawnListBySpawnID](./lua_functions/GetSpawnListBySpawnID.md)
- [GetSpawnListSize](./lua_functions/GetSpawnListSize.md)
- [GetSpawnLocationID](./lua_functions/GetSpawnLocationID.md)
- [GetSpawnLocationPlacementID](./lua_functions/GetSpawnLocationPlacementID.md)
- [GetSpeed](./lua_functions/GetSpeed.md)
- [GetSpell](./lua_functions/GetSpell.md)
- [GetSpellCaster](./lua_functions/GetSpellCaster.md)
- [GetSpellData](./lua_functions/GetSpellData.md)
- [GetSpellDataIndex](./lua_functions/GetSpellDataIndex.md)
- [GetSpellDisplayEffect](./lua_functions/GetSpellDisplayEffect.md)
- [GetSpellID](./lua_functions/GetSpellID.md)
- [GetSpellInitialTarget](./lua_functions/GetSpellInitialTarget.md)
- [GetSpellName](./lua_functions/GetSpellName.md)
- [GetSpellRequiredLevel](./lua_functions/GetSpellRequiredLevel.md)
- [GetSpellTargets](./lua_functions/GetSpellTargets.md)
- [GetSpellTier](./lua_functions/GetSpellTier.md)
- [GetSpellTriggerCount](./lua_functions/GetSpellTriggerCount.md)
- [GetSta](./lua_functions/GetSta.md)
- [GetStaBase](./lua_functions/GetStaBase.md)
- [GetStr](./lua_functions/GetStr.md)
- [GetStrBase](./lua_functions/GetStrBase.md)
- [GetTarget](./lua_functions/GetTarget.md)
- [GetTaskGroupStep](./lua_functions/GetTaskGroupStep.md)
- [GetTemporaryTransportID](./lua_functions/GetTemporaryTransportID.md)
- [GetTempVariable](./lua_functions/GetTempVariable.md)
- [GetTradeskillClass](./lua_functions/GetTradeskillClass.md)
- [GetTradeskillClassName](./lua_functions/GetTradeskillClassName.md)
- [GetTradeskillLevel](./lua_functions/GetTradeskillLevel.md)
- [GetTSArrowColor](./lua_functions/GetTSArrowColor.md)
- [GetTutorialStep](./lua_functions/GetTutorialStep.md)
- [GetVariableValue](./lua_functions/GetVariableValue.md)
- [GetWardAmountLeft](./lua_functions/GetWardAmountLeft.md)
- [GetWardValue](./lua_functions/GetWardValue.md)
- [GetWis](./lua_functions/GetWis.md)
- [GetWisBase](./lua_functions/GetWisBase.md)
- [GetWorldTimeHour](./lua_functions/GetWorldTimeHour.md)
- [GetWorldTimeMinute](./lua_functions/GetWorldTimeMinute.md)
- [GetWorldTimeMonth](./lua_functions/GetWorldTimeMonth.md)
- [GetWorldTimeYear](./lua_functions/GetWorldTimeYear.md)
- [GetX](./lua_functions/GetX.md)
- [GetY](./lua_functions/GetY.md)
- [GetZ](./lua_functions/GetZ.md)
- [GetZone](./lua_functions/GetZone.md)
- [GetZoneExpansionFlag](./lua_functions/GetZoneExpansionFlag.md)
- [GetZoneHolidayFlag](./lua_functions/GetZoneHolidayFlag.md)
- [GetZoneID](./lua_functions/GetZoneID.md)
- [GetZoneLockoutTimer](./lua_functions/GetZoneLockoutTimer.md)
- [GetZoneName](./lua_functions/GetZoneName.md)
- [GetZonePlayerAvgLevel](./lua_functions/GetZonePlayerAvgLevel.md)
- [GetZonePlayerFirstLevel](./lua_functions/GetZonePlayerFirstLevel.md)
- [GetZonePlayerMaxLevel](./lua_functions/GetZonePlayerMaxLevel.md)
- [GetZonePlayerMinLevel](./lua_functions/GetZonePlayerMinLevel.md)
- [GiveExp](./lua_functions/GiveExp.md)
- [GiveLoot](./lua_functions/GiveLoot.md)
- [GiveQuestItem](./lua_functions/GiveQuestItem.md)
- [GiveQuestReward](./lua_functions/GiveQuestReward.md)
- [HandInCollections](./lua_functions/HandInCollections.md)
- [Harvest](./lua_functions/Harvest.md)
- [HasCoin](./lua_functions/HasCoin.md)
- [HasCollectionsToHandIn](./lua_functions/HasCollectionsToHandIn.md)
- [HasCompletedQuest](./lua_functions/HasCompletedQuest.md)
- [HasControlEffect](./lua_functions/HasControlEffect.md)
- [HasFreeSlot](./lua_functions/HasFreeSlot.md)
- [HasGroup](./lua_functions/HasGroup.md)
- [HasItem](./lua_functions/HasItem.md)
- [HasItemEquipped](./lua_functions/HasItemEquipped.md)
- [HasLanguage](./lua_functions/HasLanguage.md)
- [HasLootItem](./lua_functions/HasLootItem.md)
- [HasMoved](./lua_functions/HasMoved.md)
- [HasPendingLoot](./lua_functions/HasPendingLoot.md)
- [HasPendingLootItem](./lua_functions/HasPendingLootItem.md)
- [HasPendingQuest](./lua_functions/HasPendingQuest.md)
- [HasQuest](./lua_functions/HasQuest.md)
- [HasQuestRewardItem](./lua_functions/HasQuestRewardItem.md)
- [HasRecipeBook](./lua_functions/HasRecipeBook.md)
- [HasRecovered](./lua_functions/HasRecovered.md)
- [HasSkill](./lua_functions/HasSkill.md)
- [HasSpell](./lua_functions/HasSpell.md)
- [HasSpellEffect](./lua_functions/HasSpellEffect.md)
- [HasSpellImmunity](./lua_functions/HasSpellImmunity.md)
- [IncreaseSkillCapsByType](./lua_functions/IncreaseSkillCapsByType.md)
- [InFront](./lua_functions/InFront.md)
- [InLava](./lua_functions/InLava.md)
- [InstructionWindow](./lua_functions/InstructionWindow.md)
- [InstructionWindowClose](./lua_functions/InstructionWindowClose.md)
- [InstructionWindowGoal](./lua_functions/InstructionWindowGoal.md)
- [Interrupt](./lua_functions/Interrupt.md)
- [InWater](./lua_functions/InWater.md)
- [IsAlive](./lua_functions/IsAlive.md)
- [IsBehind](./lua_functions/IsBehind.md)
- [IsBindAllowed](./lua_functions/IsBindAllowed.md)
- [IsCasting](./lua_functions/IsCasting.md)
- [IsCastOnAggroComplete](./lua_functions/IsCastOnAggroComplete.md)
- [IsEntity](./lua_functions/IsEntity.md)
- [IsEpic](./lua_functions/IsEpic.md)
- [IsFlanking](./lua_functions/IsFlanking.md)
- [IsFollowing](./lua_functions/IsFollowing.md)
- [IsGateAllowed](./lua_functions/IsGateAllowed.md)
- [IsGroundSpawn](./lua_functions/IsGroundSpawn.md)
- [IsHeroic](./lua_functions/IsHeroic.md)
- [IsInCombat](./lua_functions/IsInCombat.md)
- [IsInvis](./lua_functions/IsInvis.md)
- [IsInvulnerable](./lua_functions/IsInvulnerable.md)
- [IsMezzed](./lua_functions/IsMezzed.md)
- [IsMezzedOrStunned](./lua_functions/IsMezzedOrStunned.md)
- [IsNight](./lua_functions/IsNight.md)
- [IsOnAutoMount](./lua_functions/IsOnAutoMount.md)
- [IsOpen](./lua_functions/IsOpen.md)
- [IsPet](./lua_functions/IsPet.md)
- [IsPlayer](./lua_functions/IsPlayer.md)
- [IsRunning](./lua_functions/IsRunning.md)
- [IsSpawnGroupAlive](./lua_functions/IsSpawnGroupAlive.md)
- [IsStealthed](./lua_functions/IsStealthed.md)
- [IsStunned](./lua_functions/IsStunned.md)
- [IsTransportSpawn](./lua_functions/IsTransportSpawn.md)
- [IsZoneLoading](./lua_functions/IsZoneLoading.md)
- [KillSpawn](./lua_functions/KillSpawn.md)
- [KillSpawnByDistance](./lua_functions/KillSpawnByDistance.md)
- [Knockback](./lua_functions/Knockback.md)
- [LastSpellAttackHit](./lua_functions/LastSpellAttackHit.md)
- [MakeRandomFloat](./lua_functions/MakeRandomFloat.md)
- [MakeRandomInt](./lua_functions/MakeRandomInt.md)
- [ModifyHP](./lua_functions/ModifyHP.md)
- [ModifyMaxHP](./lua_functions/ModifyMaxHP.md)
- [ModifyMaxPower](./lua_functions/ModifyMaxPower.md)
- [ModifyPower](./lua_functions/ModifyPower.md)
- [MovementLoopAdd](./lua_functions/MovementLoopAdd.md)
- [MoveToLocation](./lua_functions/MoveToLocation.md)
- [OfferQuest](./lua_functions/OfferQuest.md)
- [OpenDoor](./lua_functions/OpenDoor.md)
- [PauseMovement](./lua_functions/PauseMovement.md)
- [PlayAnimation](./lua_functions/PlayAnimation.md)
- [PlayAnimationString](./lua_functions/PlayAnimationString.md)
- [PlayFlavor](./lua_functions/PlayFlavor.md)
- [PlayFlavorID](./lua_functions/PlayFlavorID.md)
- [PlaySound](./lua_functions/PlaySound.md)
- [PlayVoice](./lua_functions/PlayVoice.md)
- [ProcDamage](./lua_functions/ProcDamage.md)
- [ProcessMelee](./lua_functions/ProcessMelee.md)
- [ProcessSpell](./lua_functions/ProcessSpell.md)
- [ProcHate](./lua_functions/ProcHate.md)
- [ProvidesQuest](./lua_functions/ProvidesQuest.md)
- [QuestIsComplete](./lua_functions/QuestIsComplete.md)
- [QuestReturnNPC](./lua_functions/QuestReturnNPC.md)
- [QuestStepIsComplete](./lua_functions/QuestStepIsComplete.md)
- [RegisterQuest](./lua_functions/RegisterQuest.md)
- [RemoveCoin](./lua_functions/RemoveCoin.md)
- [RemoveControlEffect](./lua_functions/RemoveControlEffect.md)
- [RemoveIconValue](./lua_functions/RemoveIconValue.md)
- [RemoveImmunitySpell](./lua_functions/RemoveImmunitySpell.md)
- [RemoveInvis](./lua_functions/RemoveInvis.md)
- [RemoveItem](./lua_functions/RemoveItem.md)
- [RemoveLootItem](./lua_functions/RemoveLootItem.md)
- [RemovePrimaryEntityCommand](./lua_functions/RemovePrimaryEntityCommand.md)
- [RemoveProc](./lua_functions/RemoveProc.md)
- [RemoveQuestStep](./lua_functions/RemoveQuestStep.md)
- [RemoveRecipeFromPlayer](./lua_functions/RemoveRecipeFromPlayer.md)
- [RemoveRegion](./lua_functions/RemoveRegion.md)
- [RemoveSkill](./lua_functions/RemoveSkill.md)
- [RemoveSkillBonus](./lua_functions/RemoveSkillBonus.md)
- [RemoveSpawnAccess](./lua_functions/RemoveSpawnAccess.md)
- [RemoveSpawnIDAccess](./lua_functions/RemoveSpawnIDAccess.md)
- [RemoveSpawnSpellBonus](./lua_functions/RemoveSpawnSpellBonus.md)
- [RemoveSpellBonus](./lua_functions/RemoveSpellBonus.md)
- [RemoveSpellBookEntry](./lua_functions/RemoveSpellBookEntry.md)
- [RemoveStealth](./lua_functions/RemoveStealth.md)
- [RemoveThreatTransfer](./lua_functions/RemoveThreatTransfer.md)
- [RemoveTriggerFromSpell](./lua_functions/RemoveTriggerFromSpell.md)
- [RemoveWard](./lua_functions/RemoveWard.md)
- [RemoveWaypoint](./lua_functions/RemoveWaypoint.md)
- [RemoveWidgetFromSpawnMap](./lua_functions/RemoveWidgetFromSpawnMap.md)
- [RemoveWidgetFromZoneMap](./lua_functions/RemoveWidgetFromZoneMap.md)
- [ReplaceWidgetFromClient](./lua_functions/ReplaceWidgetFromClient.md)
- [ResetCharacterTitlePrefix](./lua_functions/ResetCharacterTitlePrefix.md)
- [ResetCharacterTitleSuffix](./lua_functions/ResetCharacterTitleSuffix.md)
- [ResetIllusion](./lua_functions/ResetIllusion.md)
- [ResetQuestStep](./lua_functions/ResetQuestStep.md)
- [Resurrect](./lua_functions/Resurrect.md)
- [Runback](./lua_functions/Runback.md)
- [Say](./lua_functions/Say.md)
- [SayOOC](./lua_functions/SayOOC.md)
- [SendHearCast](./lua_functions/SendHearCast.md)
- [SendMessage](./lua_functions/SendMessage.md)
- [SendNewAdventureSpells](./lua_functions/SendNewAdventureSpells.md)
- [SendNewTradeskillSpells](./lua_functions/SendNewTradeskillSpells.md)
- [SendOptionWindow](./lua_functions/SendOptionWindow.md)
- [SendPopUpMessage](./lua_functions/SendPopUpMessage.md)
- [SendStateCommand](./lua_functions/SendStateCommand.md)
- [SendTimeUpdate](./lua_functions/SendTimeUpdate.md)
- [SendTransporters](./lua_functions/SendTransporters.md)
- [SendUpdateDefaultCommand](./lua_functions/SendUpdateDefaultCommand.md)
- [SendWaypoints](./lua_functions/SendWaypoints.md)
- [SetAAInfo](./lua_functions/SetAAInfo.md)
- [SetAccessToEntityCommand](./lua_functions/SetAccessToEntityCommand.md)
- [SetAccessToEntityCommandByCharID](./lua_functions/SetAccessToEntityCommandByCharID.md)
- [SetAdventureClass](./lua_functions/SetAdventureClass.md)
- [SetAggroRadius](./lua_functions/SetAggroRadius.md)
- [SetAgi](./lua_functions/SetAgi.md)
- [SetAgiBase](./lua_functions/SetAgiBase.md)
- [SetAlignment](./lua_functions/SetAlignment.md)
- [SetAttackable](./lua_functions/SetAttackable.md)
- [SetBrainTick](./lua_functions/SetBrainTick.md)
- [SetCanBind](./lua_functions/SetCanBind.md)
- [SetCanEvac](./lua_functions/SetCanEvac.md)
- [SetCanGate](./lua_functions/SetCanGate.md)
- [SetCastOnAggroComplete](./lua_functions/SetCastOnAggroComplete.md)
- [SetCharacterTitlePrefix](./lua_functions/SetCharacterTitlePrefix.md)
- [SetCharacterTitleSuffix](./lua_functions/SetCharacterTitleSuffix.md)
- [SetCharSheetChanged](./lua_functions/SetCharSheetChanged.md)
- [SetCoinTmpReward](./lua_functions/SetCoinTmpReward.md)
- [SetCompletedDescription](./lua_functions/SetCompletedDescription.md)
- [SetCompleteFlag](./lua_functions/SetCompleteFlag.md)
- [SetCurrentHP](./lua_functions/SetCurrentHP.md)
- [SetCurrentPower](./lua_functions/SetCurrentPower.md)
- [SetDeity](./lua_functions/SetDeity.md)
- [SetFactionID](./lua_functions/SetFactionID.md)
- [SetFailureTimer](./lua_functions/SetFailureTimer.md)
- [SetFollowTarget](./lua_functions/SetFollowTarget.md)
- [SetGridID](./lua_functions/SetGridID.md)
- [SetHeading](./lua_functions/SetHeading.md)
- [SetIllusion](./lua_functions/SetIllusion.md)
- [SetInCombat](./lua_functions/SetInCombat.md)
- [SetInfoFlag](./lua_functions/SetInfoFlag.md)
- [SetInfoStructFloat](./lua_functions/SetInfoStructFloat.md)
- [SetInfoStructSInt](./lua_functions/SetInfoStructSInt.md)
- [SetInfoStructString](./lua_functions/SetInfoStructString.md)
- [SetInfoStructUInt](./lua_functions/SetInfoStructUInt.md)
- [SetInt](./lua_functions/SetInt.md)
- [SetIntBase](./lua_functions/SetIntBase.md)
- [SetInvulnerable](./lua_functions/SetInvulnerable.md)
- [SetItemCount](./lua_functions/SetItemCount.md)
- [SetLocationProximityFunction](./lua_functions/SetLocationProximityFunction.md)
- [SetLootCoin](./lua_functions/SetLootCoin.md)
- [SetLootDropType](./lua_functions/SetLootDropType.md)
- [SetLootTier](./lua_functions/SetLootTier.md)
- [SetLuaBrain](./lua_functions/SetLuaBrain.md)
- [SetMaxHP](./lua_functions/SetMaxHP.md)
- [SetMaxHPBase](./lua_functions/SetMaxHPBase.md)
- [SetMaxPower](./lua_functions/SetMaxPower.md)
- [SetMaxPowerBase](./lua_functions/SetMaxPowerBase.md)
- [SetModelType](./lua_functions/SetModelType.md)
- [SetMount](./lua_functions/SetMount.md)
- [SetMountColor](./lua_functions/SetMountColor.md)
- [SetPlayerHistory](./lua_functions/SetPlayerHistory.md)
- [SetPlayerLevel](./lua_functions/SetPlayerLevel.md)
- [SetPlayerPOVGhost](./lua_functions/SetPlayerPOVGhost.md)
- [SetPlayerProximityFunction](./lua_functions/SetPlayerProximityFunction.md)
- [SetPosition](./lua_functions/SetPosition.md)
- [SetQuestCompleteAction](./lua_functions/SetQuestCompleteAction.md)
- [SetQuestFeatherColor](./lua_functions/SetQuestFeatherColor.md)
- [SetQuestFlags](./lua_functions/SetQuestFlags.md)
- [SetQuestPrereqLevel](./lua_functions/SetQuestPrereqLevel.md)
- [SetQuestRepeatable](./lua_functions/SetQuestRepeatable.md)
- [SetQuestRewardComment](./lua_functions/SetQuestRewardComment.md)
- [SetQuestRewardExp](./lua_functions/SetQuestRewardExp.md)
- [SetQuestRewardStatus](./lua_functions/SetQuestRewardStatus.md)
- [SetQuestTimer](./lua_functions/SetQuestTimer.md)
- [SetQuestTimerComplete](./lua_functions/SetQuestTimerComplete.md)
- [SetQuestYellow](./lua_functions/SetQuestYellow.md)
- [SetRailID](./lua_functions/SetRailID.md)
- [SetRequiredHistory](./lua_functions/SetRequiredHistory.md)
- [SetRequiredQuest](./lua_functions/SetRequiredQuest.md)
- [SetSeeHide](./lua_functions/SetSeeHide.md)
- [SetSeeInvis](./lua_functions/SetSeeInvis.md)
- [SetServerControlFlag](./lua_functions/SetServerControlFlag.md)
- [SetServerVariable](./lua_functions/SetServerVariable.md)
- [SetSkillMaxValue](./lua_functions/SetSkillMaxValue.md)
- [SetSkillValue](./lua_functions/SetSkillValue.md)
- [SetSpawnAnimation](./lua_functions/SetSpawnAnimation.md)
- [SetSpawnGroupID](./lua_functions/SetSpawnGroupID.md)
- [SetSpeed](./lua_functions/SetSpeed.md)
- [SetSpeedMultiplier](./lua_functions/SetSpeedMultiplier.md)
- [SetSpellData](./lua_functions/SetSpellData.md)
- [SetSpellDataIndex](./lua_functions/SetSpellDataIndex.md)
- [SetSpellDisplayEffect](./lua_functions/SetSpellDisplayEffect.md)
- [SetSpellList](./lua_functions/SetSpellList.md)
- [SetSpellSnareValue](./lua_functions/SetSpellSnareValue.md)
- [SetSpellTriggerCount](./lua_functions/SetSpellTriggerCount.md)
- [SetSta](./lua_functions/SetSta.md)
- [SetStaBase](./lua_functions/SetStaBase.md)
- [SetStatusTmpReward](./lua_functions/SetStatusTmpReward.md)
- [SetStepComplete](./lua_functions/SetStepComplete.md)
- [SetStepFailed](./lua_functions/SetStepFailed.md)
- [SetStr](./lua_functions/SetStr.md)
- [SetStrBase](./lua_functions/SetStrBase.md)
- [SetSuccessTimer](./lua_functions/SetSuccessTimer.md)
- [SetTarget](./lua_functions/SetTarget.md)
- [SetTemporaryTransportID](./lua_functions/SetTemporaryTransportID.md)
- [SetTempVariable](./lua_functions/SetTempVariable.md)
- [SetTradeskillClass](./lua_functions/SetTradeskillClass.md)
- [SetTradeskillLevel](./lua_functions/SetTradeskillLevel.md)
- [SetTutorialStep](./lua_functions/SetTutorialStep.md)
- [SetVision](./lua_functions/SetVision.md)
- [SetVisualFlag](./lua_functions/SetVisualFlag.md)
- [SetWis](./lua_functions/SetWis.md)
- [SetWisBase](./lua_functions/SetWisBase.md)
- [SetWorldTime](./lua_functions/SetWorldTime.md)
- [SetZoneExpansionFlag](./lua_functions/SetZoneExpansionFlag.md)
- [SetZoneHolidayFlag](./lua_functions/SetZoneHolidayFlag.md)
- [Shout](./lua_functions/Shout.md)
- [ShowLootWindow](./lua_functions/ShowLootWindow.md)
- [ShowWindow](./lua_functions/ShowWindow.md)
- [Spawn](./lua_functions/Spawn.md)
- [SpawnByLocationID](./lua_functions/SpawnByLocationID.md)
- [SpawnGroupByID](./lua_functions/SpawnGroupByID.md)
- [SpawnMove](./lua_functions/SpawnMove.md)
- [SpawnSet](./lua_functions/SpawnSet.md)
- [SpawnSetByDistance](./lua_functions/SpawnSetByDistance.md)
- [SpellDamage](./lua_functions/SpellDamage.md)
- [SpellDamageExt](./lua_functions/SpellDamageExt.md)
- [SpellHeal](./lua_functions/SpellHeal.md)
- [SpellHealPct](./lua_functions/SpellHealPct.md)
- [StartAutoMount](./lua_functions/StartAutoMount.md)
- [StartConversation](./lua_functions/StartConversation.md)
- [StartDialogConversation](./lua_functions/StartDialogConversation.md)
- [StartHeroicOpportunity](./lua_functions/StartHeroicOpportunity.md)
- [StartTransmute](./lua_functions/StartTransmute.md)
- [Stealth](./lua_functions/Stealth.md)
- [StopMovement](./lua_functions/StopMovement.md)
- [StopTimer](./lua_functions/StopTimer.md)
- [SummonCosmeticPet](./lua_functions/SummonCosmeticPet.md)
- [SummonDeityPet](./lua_functions/SummonDeityPet.md)
- [SummonDumbFirePet](./lua_functions/SummonDumbFirePet.md)
- [SummonItem](./lua_functions/SummonItem.md)
- [SummonPet](./lua_functions/SummonPet.md)
- [ToggleCharacterFlag](./lua_functions/ToggleCharacterFlag.md)
- [ToggleFollow](./lua_functions/ToggleFollow.md)
- [ToggleTracking](./lua_functions/ToggleTracking.md)
- [UpdateQuestDescription](./lua_functions/UpdateQuestDescription.md)
- [UpdateQuestStepDescription](./lua_functions/UpdateQuestStepDescription.md)
- [UpdateQuestTaskGroupDescription](./lua_functions/UpdateQuestTaskGroupDescription.md)
- [UpdateQuestZone](./lua_functions/UpdateQuestZone.md)
- [UseWidget](./lua_functions/UseWidget.md)
- [Zone](./lua_functions/Zone.md)

---

## ✨ Introduction

EQ2Emu allows scripting of quests, spawns, spells, regions, and zones using Lua.
This guide will document all exposed Lua functions, expected parameters, and example usages.

---

## 📌 Notes

- Lua scripting engine is integrated natively into the EQ2World server.
- More detailed breakdowns will be added as the API documentation is expanded.
